Subject: Re: bug#21634: text-scale-adjust suggestion

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 05 Jul 2022 13:15:42 +0200

Juri Linkov <[email-masked]> writes:

> format-spec is a nice helper.  Here are the changes after
> the value of %k is automatically generated from the keys:
>
>   emoji-zoom-increase:
>   OLD: Zoom with + and -
>   NEW: Zoom with +, -
>
>   indent-rigidly:
>   OLD: Indent region with <left>, <right>, S-<left>, or S-<right>.
>   NEW: Indent region with TAB, <left>, <right>, S-<left>, S-<right>

I think the final ", " in these lists should be an " or " instead -- I
think that reads better.

>   global-text-scale-adjust:
>   OLD: Use +,-,0 for further adjustment
>   NEW: Use +, =, -, 0, ESC for further adjustment
>
> ESC is because map-keymap handles only top-level keys
> but C-M-+ is [ESC C-+].

Hm.  We don't have any function that'll just spit out all the "real" key
binding in a keymap somewhere?  I.e., that results in a list with keys a
la what's displayed by `C-h b'?  I guess not, but that sounds like a
useful utility function to have, and could be used here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no